3_ano/web/teste/Teste_2/Models/BolsaInvestigacao.cs
using System.ComponentModel.DataAnnotations;

namespace Teste_2.Models
{
    public class BolsaInvestigacao
    {

        [Key]
        public int Id { get; set; }

        [Required]
        public string Titulo { get; set; }

        [Required]
        public string Area { get; set; }

        [Required]
        public int Duracao { get; set; }

        [Required]
        public int Remuneracao { get; set; }


    }
}

3_ano/web/teste/Teste_2/Models/ErrorViewModel.cs
namespace Teste_2.Models
{
    public class ErrorViewModel
    {
        public string? RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

3_ano/web/teste/Teste_2/Controllers/BolsasController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using Teste_2.Data;
using Teste_2.Models;

namespace Teste_2.Controllers
{
    [Authorize]
    public class BolsasController : Controller
    {
        private readonly ApplicationDbContext _context;

        public BolsasController(ApplicationDbContext context)
        {
            _context = context;
        }


        [AllowAnonymous]
        public async Task<IActionResult> Lista()
        {
              return View(await _context.bolsas.ToListAsync());
        }

        // GET: Bolsas/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null || _context.bolsas == null)
            {
                return NotFound();
            }

            var bolsaInvestigacao = await _context.bolsas
                .FirstOrDefaultAsync(m => m.Id == id);
            if (bolsaInvestigacao == null)
            {
                return NotFound();
            }

            return View(bolsaInvestigacao);
        }

        // GET: Bolsas/Create
        public IActionResult Adiciona()
        {
            return View();
        }

        // POST: Bolsas/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Adiciona([Bind("Id,Titulo,Area,Duracao,Remuneracao")] BolsaInvestigacao bolsaInvestigacao)
        {
            if (ModelState.IsValid)
            {
                _context.Add(bolsaInvestigacao);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Lista));
            }
            return View(bolsaInvestigacao);
        }

            

        
       

        private bool BolsaInvestigacaoExists(int id)
        {
          return _context.bolsas.Any(e => e.Id == id);
        }

        public IActionResult Detalhes(int id)
        {


            BolsaInvestigacao b = _context.bolsas.FirstOrDefault(x => x.Id == id);
            
            
            
            return PartialView("Detalhes",_context.bolsas.Where(x => x.Id == id));
        }

        public IActionResult Filtro(int id)
        {


            BolsaInvestigacao b = _context.bolsas.FirstOrDefault(x => x.Id == id);
            string a;
            a = b.Area;



           // return RedirectToAction(nameof(Lista,_context.where)
            return View("Lista", _context.bolsas.Where(x => x.Area == a));
        }


    }
}

3_ano/web/teste/Teste_2/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Teste_2</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/Teste_2.styles.css" asp-append-version="true" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container-fluid">
                <a class="navbar-brand" asp-area="" asp-controller="Bolsas" asp-action="Lista">Teste_2</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Bolsas" asp-action="Lista">Home</a>
                        </li>
                        
                    </ul>
                    <partial name="_LoginPartial" />
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2023 - Teste_2 - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/jquery-ajax/jquery.unobtrusive-ajax.js"></script>
    <script src="~/lib/jquery-ajax/jquery.unobtrusive-ajax.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>